Skip to content
Snippets Groups Projects
Commit 3ade43a3 authored by Marcel Loose's avatar Marcel Loose :sunglasses:
Browse files

BugID: 980

Fixed the problem. `dorubbuild' does a `tee' to the build log file, which
overwrites it, instead of a `tee -a' which appends to it.
parent ad0eae83
No related branches found
No related tags found
No related merge requests found
...@@ -93,7 +93,7 @@ cd $srcdir >> $logfile 2>&1 || exit 1 ...@@ -93,7 +93,7 @@ cd $srcdir >> $logfile 2>&1 || exit 1
srcdir=`pwd` srcdir=`pwd`
curwdl=`basename $srcdir` curwdl=`basename $srcdir`
if [ "$curwdl" != "LOFAR" ]; then if [ "$curwdl" != "LOFAR" ]; then
echo "Error in rubbuild: srcdir must be the LOFAR directory in the code tree" | tee $logfile echo "Error in rubbuild: srcdir must be the LOFAR directory in the code tree" | tee -a $logfile
exit 1 exit 1
fi fi
...@@ -144,11 +144,11 @@ do ...@@ -144,11 +144,11 @@ do
if [ $skipbuilt = 1 ]; then if [ $skipbuilt = 1 ]; then
fgrep "$pkg " $resfile >& /dev/null fgrep "$pkg " $resfile >& /dev/null
if [ $? = 0 ]; then if [ $? = 0 ]; then
echo " skipping package $pkg; already built in a previous run" | tee $logfile echo " skipping package $pkg; already built in a previous run" | tee -a $logfile
continue continue
fi fi
fi fi
echo " *** Building package $pkg ***" | tee $logfile echo " *** Building package $pkg ***" | tee -a $logfile
if [ "$builddir" = "." ]; then if [ "$builddir" = "." ]; then
initcmd="cd $pkg && mkdir -p build/$variant && cd build/$variant" initcmd="cd $pkg && mkdir -p build/$variant && cd build/$variant"
...@@ -177,8 +177,8 @@ do ...@@ -177,8 +177,8 @@ do
done done
if [ "$status" != 0 ]; then if [ "$status" != 0 ]; then
echo " Error during build on `uname -n` (see $logfile for details)" | tee $srcdir/build.log echo " Error during build on `uname -n` (see $logfile for details)" | tee -a $srcdir/build.log
exit $status exit $status
fi fi
echo "Variant $buildvarpr successfully built on `uname -n` (see $logfile for details)" | tee $srcdir/build.log echo "Variant $buildvarpr successfully built on `uname -n` (see $logfile for details)" | tee -a $srcdir/build.log
exit 0 exit 0
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment